<?php

/*
 Plugin Name: Custom Show Seat Number
 Plugin URI: http://tickera.com/
 Description: Show seat number field in the check-in app
 Author: Tickera.com
 Author URI: http://tickera.com/
 Version: 1.0
 TextDomain: tc
 Domain Path: /languages/

 Copyright 2018 Tickera (http://tickera.com/)
*/

if (!defined('ABSPATH'))
   exit; // Exit if accessed directly

if (!class_exists('TC_Custom_Show_Seat_Number')) {

   class TC_Custom_Show_Seat_Number {

       var $version = '1.0';
       var $title = 'Custom Show Seat Number';
       var $name = 'custom_show_seat_number';
       var $dir_name = 'custom-show-seat-number';
       var $location = 'plugins';
       var $plugin_dir = '';
       var $plugin_url = '';

       function __construct() {

           $this->init_vars();

           add_filter('tc_checkin_custom_fields', array(&$this, 'add_checkin_custom_fields_bridge_seats'), 10, 5);
       }

       function init_vars() {



           if (defined('WP_PLUGIN_URL') && defined('WP_PLUGIN_DIR') && file_exists(WP_PLUGIN_DIR . '/' . $this->dir_name . '/' . basename(__FILE__))) {

               $this->location = 'subfolder-plugins';

               $this->plugin_dir = WP_PLUGIN_DIR . '/' . $this->dir_name . '/';

               $this->plugin_url = plugins_url('/', __FILE__);
           } else if (defined('WP_PLUGIN_URL') && defined('WP_PLUGIN_DIR') && file_exists(WP_PLUGIN_DIR . '/' . basename(__FILE__))) {

               $this->location = 'plugins';

               $this->plugin_dir = WP_PLUGIN_DIR . '/';

               $this->plugin_url = plugins_url('/', __FILE__);
           } else if (is_multisite() && defined('WPMU_PLUGIN_URL') && defined('WPMU_PLUGIN_DIR') && file_exists(WPMU_PLUGIN_DIR . '/' . basename(__FILE__))) {

               $this->location = 'mu-plugins';

               $this->plugin_dir = WPMU_PLUGIN_DIR;

               $this->plugin_url = WPMU_PLUGIN_URL;
           } else {

               wp_die(sprintf(__('There was an issue determining where %s is installed. Please reinstall it.', 'tc'), $this->title));
           }
       }

       function add_checkin_custom_fields_bridge_seats($custom_fields, $ticket_instance_id, $event_id, $order, $ticket_type) {
           $custom_field_value = get_post_meta($ticket_instance_id, 'seat_label', true);

           if (isset($custom_field_value) && !empty($custom_field_value) && !is_null($custom_field_value)) {
               $custom_fields[] = array('Seat Number', $custom_field_value);
           }

           return $custom_fields;
       }

   }

}

$TC_Custom_Show_Seat_Number = new TC_Custom_Show_Seat_Number();
?>
